X
Tap here to go to the mobile version of the site.

Support Forum

mozilla firefox version 63 esr

Posted

Hi, i need to download older 63 esr. Please share the link immediately. Thanks Mani

Hi, i need to download older 63 esr. Please share the link immediately. Thanks Mani
Quote

Additional System Details

Application

  • User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:68.0) Gecko/20100101 Firefox/68.0

More Information

philipp
  • Top 25 Contributor
  • Moderator
5330 solutions 23532 answers

hello, a firefox version 63esr has never existed.

hello, a firefox version 63esr has never existed.
Was this helpful to you?
Quote
FredMcD
  • Top 10 Contributor
4303 solutions 60401 answers

When you find out what version you need,

Install Older Version Of Firefox {web link} Be sure to read everything here.

If you still want to downgrade, look under; I still want to downgrade. Click the Directory of other versions and languages link. Look for the directory of the version that you want. But, remember that old versions may have security issues.

You should also check out Firefox; Extended Support Release {web link} ESR Notes System Requirements

When you find out what version you need, [https://support.mozilla.org/en-US/kb/install-older-version-of-firefox?cache=no Install Older Version Of Firefox] {web link} Be sure to read everything here. If you still want to downgrade, look under; '''I still want to downgrade. ''' Click the '''Directory of other versions and languages''' link. Look for the directory of the version that you want. But, remember that '''old versions may have security issues. ''' You should also check out [https://www.mozilla.org/en-US/firefox/organizations/ Firefox; Extended Support Release] {web link} [https://www.mozilla.org/en-US/firefox/organizations/notes/ ESR Notes] [https://www.mozilla.org/en-US/firefox/organizations/system-requirements/ System Requirements]
Was this helpful to you?
Quote
cor-el
  • Top 10 Contributor
  • Moderator
17670 solutions 159848 answers

What reasons do you have to run such an old Firefox version ? Why isn't 68 ESR sufficient ? The previous ESR version was 60.9.0 ESR.

What reasons do you have to run such an old Firefox version ? Why isn't 68 ESR sufficient ? The previous ESR version was 60.9.0 ESR.
Was this helpful to you?
Quote
Ask a question

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.